# $Revision: 1.109 $, $Date: 2002/08/18 12:12:17 $
Summary:	High-performance CORBA Object Request Broker
Summary(es):	Object Request Broker CORBA de alto desempeo
Summary(fr):	Requte d'Objects CORBA
Summary(pl):	Wysoko wydajny CORBA Object Request Broker
Summary(pt_BR):	Corretor de requisies de objetos CORBA de alta performance.
Summary(ru):	    CORBA
Summary(uk):	  ' Ԧ CORBA
Name:		ORBit
Version:	0.5.17
Release:	2
Epoch:		1
License:	GPL/LGPL
Group:		Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/ORBit/%{name}-%{version}.tar.gz
Source1:	%{name}-orbitrc
Patch0:		%{name}-info.patch
Patch1:		%{name}-use_system_popt.patch
Patch2:		%{name}-tiny-ipv6.patch
Patch3:		%{name}-no_test_everything.patch
Patch4:		%{name}-do_not_link_statically.patch
Patch5:		%{name}-ac_comment_fixes.patch
URL:		http://www.labs.redhat.com/orbit/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	libwrap-devel
BuildRequires:	flex
BuildRequires:	indent
BuildRequires:	libtool
BuildRequires:	popt-devel >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libORBit0

%define		_sysconfdir	/etc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

%description -l es
Object Request Broker CORBA de alto desempeo.

%description -l fr
ORBit est un ORB CORBA avec support pour le language C. Il permet a
des programmes d'envoyer des requtes et recevoir de rponses d'autres
programmes, indpendement de l'endroit ou sont les deux programmes.

%description -l pl
ORBit to wysokiej wydajnoci CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Pozwala na wysyanie prb
i otrzymywanie odpowiedzi od innych programw bez znajomoci pooenia
tych dwch programw.

%description -l pt_BR
O ORBit  um ORB (Corretor de Requisies de Objetos) CORBA de alta
performance. Permite a programas enviar e receber respostas de outros
programas, no importa a localizao destes dois programas.

Voc precisar instalar este pacote e os arquivos de incluso
relacionados se deseja desenvolver programas que usem tecnologia
CORBA.

%description -l ru
ORBit -   CORBA (Common Object Request Broker
Architecture) ORB (object request broker).   
       ,  
 . CORBA -  , 
   ,   
,    ,   , 
  .

%description -l uk
ORBit -   CORBA (Common Object Request Broker
Architecture) ORB (object request broker).  Ѥ 
    צצĦ צ  , 
צ ͦ  . CORBA -  Ȧ,  Ѥ
Φæ ͦ  ',  צ 
,  ˦  Φ,  æϧ ,  ˦
.

%package devel
Summary:	Header files, and utilities for ORBit
Summary(es):	Object Request Broker CORBA de alto desempeo - desarrollo
Summary(fr):	Librairies statiques et fichiers entte pour ORBit
Summary(pl):	Pliki nagwkowe i uytki dla ORBit
Summary(pt_BR):	Bibliotecas, arquivos de incluso e utilitrios para desenvolvimento com o ORBit
Summary(ru):	    ORBit
Summary(uk):	  ̦  ORBit
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib-devel
Requires:	indent
Requires:	libwrap-devel
Requires:	popt-devel
Obsoletes:	libORBit0-devel

%description
devel ORBit is a high-performance CORBA ORB with support for the C
language. It allows programs to send requests and receive replies from
other programs, regardless of the locations of the two programs.

%description devel -l es
Object Request Broker CORBA de alto desempeo - desarrollo.

%description devel -l fr
Librairies statiques et fichiers entte requis pour le development ou
la compilation de programmes utilisant ORBit.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe oraz uytki potrzebne do pisania
programw uywajcych technologi CORBA.

%description devel -l pt_BR
Este pacote contm arquivos de incluso, bibliotecas e utilitrios
necessrios ao desenvolvimento de programas que usem a tecnologia
CORBA.

%description devel -l ru
        ,
  CORBA.

%description devel -l uk
  ͦ   ̦   , ˦
 Ǧ CORBA.

%package static
Summary:	Static libraries for ORBit
Summary(es):	Development static libraries for ORBit.
Summary(pl):	Biblioteki statyczne dla ORBit
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com o ORBit
Summary(ru):	    ORBit
Summary(uk):	Φ ¦̦   ORBit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package includes static libraries neecessary to write programs
statically linked that use CORBA technology.

%description static -l es
This package contains the static libraries to write programs that use
CORBA technology.

%description static -l pl
Ten pakiet zawiera biblioteki statyczne potrzebne do pisania programw
zlinkowanych statycznie uywajcych technologii CORBA.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com o ORBit.

%description static -l ru
       ,
  CORBA.

%description static -l uk
  ͦ Φ ¦̦   , ˦
 Ǧ CORBA.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f {,libIDL/}missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
(cd libIDL
%{__libtoolize}
aclocal
%{__autoconf}
automake -a -c)

CFLAGS="-DHAVE_IPV6=1 %{rpmcflags}"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/orbitrc

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/orbitrc
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%attr(755,root,root) %{_bindir}/name-client
%attr(755,root,root) %{_bindir}/old-name-server
%attr(755,root,root) %{_bindir}/orbit-event-server
%attr(755,root,root) %{_bindir}/orbit-ird
%attr(755,root,root) %{_bindir}/orbit-name-server

%files devel
%defattr(644,root,root,755)
%doc TODO NEWS docs/*.txt
%attr(755,root,root) %{_bindir}/orbit-idl
%attr(755,root,root) %{_bindir}/orbit-config
%attr(755,root,root) %{_bindir}/libIDL-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_libdir}/libname-server.a

%{_pkgconfigdir}/*
%{_includedir}/*
%{_aclocaldir}/*
%{_infodir}/*info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libIDL.a
%{_libdir}/libIIOP.a
%{_libdir}/libORBit.a
%{_libdir}/libORBitCosNaming.a
%{_libdir}/libORBitutil.a
%{_libdir}/liborbit-c-backend.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ORBit.spec,v $
Revision 1.109  2002/08/18 12:12:17  blues
- release 2 - new doc, license fix; STBR

Revision 1.108  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.107  2002/06/23 05:17:19  kloczek
- updated to 0.5.17 (bug fix release).

Revision 1.106  2002/05/27 18:50:59  kloczek
- updated to 0.5.16,
- merge translations from Conectiva.

Revision 1.105  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.104  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.103  2002/03/23 03:18:51  kloczek
- updated to 0.5.15 (bugfix version).

Revision 1.102  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.101  2002/02/02 20:32:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.100  2002/02/01 14:54:06  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.99  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.98  2002/01/07 16:44:00  kloczek
- updated to 0.5.13 (bugfix release and prepare for coexistanse with ORBit2).

Revision 1.97  2001/11/05 11:44:04  kura
- updated to 0.5.12

Revision 1.96  2001/10/23 23:48:58  kloczek
- updated to 0.5.11,
- added ac_comment_fixes patch (use "dnl" as comment makk in configure.in
  instead "#"; without this patch generated configure script fails).

Revision 1.95  2001/10/03 22:38:42  kloczek
- updated to 0.5.10,
- removed outdated am15 and do_not_override_CFLAGS patches.

Revision 1.94  2001/09/08 21:44:51  kloczek
- release 7,
- added am15 patch: now automake resources in ORBit can be regenerated
  using automake 1.5 (remove all duplicated declaration variables),
- do not link statically any binaries (do_not_link_statically patch): remove
  all "{,LD}FALGS= -static" from Makefile.am files,
- added do_not_override_CFLAGS patch: remove "CFLAGS=-g -O0" from
  src/orb/Makefile.am.

Revision 1.93  2001/09/08 20:08:41  agaran
added buildrequires glib-static (else compilation fails..at least here)

Revision 1.92  2001/08/20 23:13:55  kloczek
- release 6: added libwrap-devel to devel Requires rules.

Revision 1.91  2001/08/10 12:05:35  kloczek
- release 5: added glib-devel to Requires list in devel.

Revision 1.90  2001/07/26 05:42:02  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.88  2001/07/23 05:44:47  kloczek
- regenerate ac/am/lt files also in libIDL subdirectory.

Revision 1.87  2001/07/22 00:38:07  kloczek
- release 3: added popt-devel to Requires list in devel subpackage.

Revision 1.86  2001/05/16 05:10:11  kloczek
- make libtool hapy.

Revision 1.85  2001/05/16 03:56:32  kloczek
- updated to 0.5.8.

Revision 1.84  2001/04/24 05:11:24  kloczek
- release 2.

Revision 1.83  2001/04/13 00:20:15  qboosh
- use %%_pkgconfigdir and %%rpmcflags macros

Revision 1.82  2001/03/23 02:25:54  kloczek
- only bump release to 4.

Revision 1.81  2001/02/07 17:13:18  kloczek
- updated to 0.5.7,
- added no_test_everything patch for disable compile broken files in
  test/everything.

Revision 1.80  2001/01/25 20:03:19  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.79  2000/12/30 13:05:26  kloczek
- bump release to 2 (for allow upgrade from rawhide).

Revision 1.78  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.77  2000/12/18 23:56:45  kloczek
- updated to 0.5.6.

Revision 1.76  2000/11/30 22:58:40  wiget
0.5.5

Revision 1.75  2000/10/25 04:22:17  kloczek
- release 2, Epoch 1 (for allow upgrade from RH 7).

Revision 1.74  2000/10/15 22:11:25  kloczek
- updated to 0.5.4.

Revision 1.73  2000/09/27 14:28:54  kloczek
- release 2: use new rpm automation.

Revision 1.72  2000/07/26 21:20:57  kloczek
- updated to 0.5.3.

Revision 1.71  2000/07/04 02:53:27  kloczek
- updated to 0.5.2,
- put in default orbitrc: ORBIIOPUSock=1, ORBIIOPIPv4=0, ORBIIOPIPv6=0.

Revision 1.70  2000/06/25 17:59:28  kloczek
- fix popt-devel version required during build.

Revision 1.69  2000/06/20 12:19:06  cieciwa
- removed BuildRequires:   popt-static,
- added version to BuildRequires: popt-devel [now >= 1.4.3]

Revision 1.68  2000/06/19 15:58:17  cieciwa
- added BuildRequires: popt-static.
	popt-devel AND popt-static is required to build ORBit.

Revision 1.67  2000/06/18 23:10:07  kloczek
- release 4.

Revision 1.66  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.65  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.64  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.63  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.62  2000/05/01 20:11:39  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.61  2000/04/04 06:23:05  kloczek
- release 3,
- orbit-idl moved to devel,
- added Requires: indent for devel (orbit-idl run indent for formating C
  source),
- added using %%{_aclocaldir} macro,
- spec adapterized.

Revision 1.60  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.59  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.58  2000/03/01 18:12:53  misiek
- ipv6 tiny patch

Revision 1.57  2000/03/01 15:26:35  misiek
- enable IPv6

Revision 1.56  2000/03/01 07:41:13  kloczek
- release 2,
- added to system orbitrc ORBIIOPIPv4=0 for disable by default using TCP on
  IIOP requests (use only unix sockets) - if anyone can use this must add
  ORBIIOPIPv4=1 in private ~/.orbitrc,
- added use_system_popt patch for building ORBit agains shared system
  libpopt.

Revision 1.55  2000/02/28 08:13:16  kloczek
- removed "BuildRequires: gettext-devel" (ORBit is not i18n depend).

Revision 1.54  2000/02/26 15:45:19  mkochano
- More 'BuildRequires'.

Revision 1.53  2000/02/22 18:13:56  kloczek
- updated to 0.5.1.

Revision 1.52  1999/12/07 10:27:35  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.51  1999/10/29 17:19:21  kloczek
- fr translation fron freshmeat packages.

Revision 1.50  1999/09/28 23:29:31  kloczek
- updated to 0.5.0.

Revision 1.49  1999/09/22 15:48:10  kloczek
- updated to 0.4.95.

Revision 1.48  1999/09/15 20:24:38  kloczek
- release 3,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.47  1999/09/01 05:33:51  kloczek
- updated to 0.4.94.

Revision 1.46  1999/08/21 13:25:56  kloczek
- updated to 0.4.93,
- changed permission to 755 on %%{_libdir}/*.sh.

Revision 1.45  1999/07/23 01:07:19  kloczek
- BuildRequire: libwrap-devel (now we have shared libwrap).

Revision 1.44  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.43  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.4.90-1]
- added lib*.la, *.sh and aclocal m4 macros files to devel,
- liborbit-c-backend.a added to static,
- added using %%configure macro in %build
- added global (empty) orbitrc %config file,
- added to BuildPrereq flex, libwrap and indent,
- more %doc.

* Fri May 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.4.3-3]
- spec based on version included in dist tar,
- rewrited in PLD coding style,
- pl translation Arkadiusz Mikiewicz <misiek@misiek.eu.org>.
